View Issue Details

IDProjectCategoryView StatusLast Update
0005299Talermechant backendpublic2020-04-10 21:40
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.7.1Fixed in Version0.7.1 
Summary0005299: merchant should make /refund requests to the exchange and send response to wallet, instead of letting the wallet do it
DescriptionThis way we ensure that after the merchant approved a refund, the wallet is always able to pick it up.

With the current implementation, it can look to the merchant like everything went fine, but by the time the refund permission arrived at the wallet, the refund permission already timed out.
TagsNo tags attached.

Activities

Florian Dold

2018-03-16 22:49

manager   ~0012889

Ah, and this should probably also happen for the abort-refund mode of /pay.

Christian Grothoff

2020-04-07 18:54

manager   ~0015563

Note: this belongs with the refund_lookup logic.

Christian Grothoff

2020-04-09 23:48

manager   ~0015605

docs.git, 7a84fac..b93b0b3 specifies the new refund API for getting the refund that the merchant (already) processed with the exchange. Note that the wallet still must to the refresh calls. Also, the wallet should check the signatures in the reply.

Christian Grothoff

2020-04-10 20:20

manager   ~0015612

Basic implementation committed in 00658a9..0b945df. Not finished though, still should implement caching of the exchange's reply in the merchant DB.

Christian Grothoff

2020-04-10 21:40

manager   ~0015613

Now finished.

Issue History

Date Modified Username Field Change
2018-03-16 22:48 Florian Dold New Issue
2018-03-16 22:48 Florian Dold Status new => assigned
2018-03-16 22:48 Florian Dold Assigned To => Marcello Stanisci
2018-03-16 22:48 Florian Dold Assigned To Marcello Stanisci =>
2018-03-16 22:48 Florian Dold Product Version => git (master)
2018-03-16 22:48 Florian Dold Target Version => 0.5
2018-03-16 22:49 Florian Dold Note Added: 0012889
2018-03-26 16:02 Christian Grothoff Target Version 0.5 => 0.7.1
2018-03-26 16:02 Christian Grothoff Status assigned => confirmed
2020-04-07 17:35 Christian Grothoff Assigned To => Christian Grothoff
2020-04-07 17:35 Christian Grothoff Status confirmed => assigned
2020-04-07 18:54 Christian Grothoff Note Added: 0015563
2020-04-09 23:48 Christian Grothoff Note Added: 0015605
2020-04-10 20:20 Christian Grothoff Note Added: 0015612
2020-04-10 21:40 Christian Grothoff Status assigned => resolved
2020-04-10 21:40 Christian Grothoff Resolution open => fixed
2020-04-10 21:40 Christian Grothoff Fixed in Version => 0.7.1
2020-04-10 21:40 Christian Grothoff Note Added: 0015613